Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355647 - Capabilities entry point missing
Summary: Capabilities entry point missing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RestAPI
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-4.0.2
: 4.0.2
Assignee: Juan Hernández
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 07:21 UTC by Gonza
Modified: 2016-08-12 14:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 14:24:54 UTC
oVirt Team: Infra
rule-engine: ovirt-4.0.z+
rule-engine: planning_ack+
juan.hernandez: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 60554 master MERGED Add `permits` to cluster level 2016-07-13 13:07:09 UTC
oVirt gerrit 60576 master MERGED restapi: Add permits to cluster level 2016-07-18 11:16:37 UTC
oVirt gerrit 60644 model_4.0 MERGED Add `permits` to cluster level 2016-07-13 13:07:33 UTC
oVirt gerrit 60914 ovirt-engine-4.0 MERGED restapi: Add permits to cluster level 2016-07-18 12:56:15 UTC

Description Gonza 2016-07-12 07:21:36 UTC
Description of problem:
We need the ability to list available permits from the API which on v3 we could find under the capabilities entry point which is no longer there on v4.

Version-Release number of selected component (if applicable):
python-ovirt-engine-sdk4-4.0.0-0.0.a3.el7ev.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Go to https://{engine}/ovirt-engine/api/capabilities

Actual results:
No results are returned

Expected results:
Results for capabilities are returned

Comment 1 Juan Hernández 2016-07-12 09:52:20 UTC
In version 4 of the API the "capabilities" service has been replaced by the new "clusterlevels" service. The permits haven't been added yet. They will be added by the proposed patch, so the will be available with a request like this:

  GET /ovirt-engine/api/clusterlevels/4.0

The result will contain the following:

  <cluster_level id="4.0" href="/ovirt-engine/api/clusterlevels/4.0">
    <permits>
      <permit id="1">
        <name>create_vm</name>
        <administrative>false</administrative>
      </permit>
      ...
    </permits>
  </cluster_level>

Comment 2 Yaniv Kaul 2016-07-12 09:59:53 UTC
SEVERITY?

Comment 3 Lukas Svaty 2016-07-29 13:56:12 UTC
verified in ovirt-engine-restapi-4.0.2.1-0.1.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.